Static Deposit

Get Static Deposit Unresolved Requests

Static deposit unresolved requests, newest first by default. Requires the `static-deposit.unresolved_requests.view` permission. Available only when the payment systems service is enabled.

GET
/api/v2/static-deposit/unresolved-requests

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 500
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in a specified order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?"createdAt"

Sorts the items by a specified value

Default"createdAt"

Value in

  • "createdAt"
filter?

Filters the items by specified values

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/static-deposit/unresolved-requests?limit=10&offset=0" \  -H "accept-language: ja"
{  "total": 1,  "data": [    {      "id": "0199a3c4-5b6d-7e8f-9a0b-1c2d3e4f5a6b",      "status": "unresolved",      "origin": "static-deposit",      "errorCode": "static_deposit.identity.not_found",      "errorDescription": "Identity for the incoming deposit was not found.",      "driverId": "74252197-ac29-46ca-88c5-d2ddf746cd69",      "externalSearchFields": [        {          "name": "txid",          "label": "Transaction ID",          "format": "text",          "value": "5f2b9c0e7d"        }      ],      "resolvedAt": "2022-01-01T00:00:00+00:00",      "createdAt": "2022-01-01T00:00:00+00:00",      "updatedAt": "2022-01-01T00:00:00+00:00"    }  ]}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}